<?php include ''.$_SERVER['DOCUMENT_ROOT'].'/blueprint/templates/html-start.php'; ?>	
<?php include ''.$_SERVER['DOCUMENT_ROOT'].'/admin/templates/admin-auth.php'; ?>
<title>Bing Webmasters | Sabali Co Admin</title>
<meta name="description" content="Check the Bing Webmasters for a domain using this Sabali Co SEO feature.">
</head>
<body itemscope="" itemtype="http://schema.org/WebPage">
<?php if(empty($_SESSION['admin_permissions_id'])): else: ?>		
<div class="admin">
   <div class="admin-navigation">
      <?php include ''.$_SERVER['DOCUMENT_ROOT'].'/admin/templates/admin-navigation.php'; ?>
   </div>
   <div class="admin-panel">
      <?php include ''.$_SERVER['DOCUMENT_ROOT'].'/admin/templates/admin-header.php'; ?>  
      <?php include ''.$_SERVER['DOCUMENT_ROOT'].'/blueprint/templates/breadcrumbs.php'; ?>  
      <h1 class="admin-content-header">Bing Webmasters</h1>
      <div class="content-box">
         <?php if(isset($_POST['action'])): ?>
         <?php if($_POST['action'] == 'update-bing'): ?>  
         <?php
            // File upload path 
            $uploadPath = ''.$_SERVER['DOCUMENT_ROOT'].'/'; 
            $temp = explode(".", $_FILES["image"]["name"]);
            $blank_file = 'BingSiteAuth';
            $fileName = $blank_file . '.' . end($temp); 
            if(!file_exists(''.$uploadPath.'/'.$fileName.'')) {   
            // If file upload form is submitted 
            $status = $statusMsg = ''; 
            if(isset($_POST["submit"])){ 
            $status = 'error'; 
            if(!empty($_FILES["image"]["name"])) { 
            // File info 
            $temp = explode(".", $_FILES["image"]["name"]);
            // Random file name
            // $fileName = round(microtime(true)) . '.' . end($temp);
            $fileName = $blank_file . '.' . end($temp); 
            $imageUploadPath = $uploadPath . $fileName; 
            $fileType = pathinfo($imageUploadPath, PATHINFO_EXTENSION); 
            // Allow certain file formats 
            $allowTypes = array('xml'); 
            if(in_array($fileType, $allowTypes)){ 
            // Image temp source 
            $imageTemp = $_FILES["image"]["tmp_name"]; 
            if(move_uploaded_file($_FILES["image"]["tmp_name"], $imageUploadPath)) {
            $statusMsg = "The file ". basename( $_FILES["image"]["name"]). " has been uploaded.";
            } else {
            $statusMsg = "Sorry, there was an error uploading your file.";
            }
            }else{ 
            $statusMsg = 'Sorry, only XML files are allowed to upload.'; 
            } 
            }else{ 
            $statusMsg = 'Please select an XML file to upload.'; 
            } 
            }  
            // Debug - Display status message 
            echo '<p>'.$statusMsg.'</p>'; 
            } elseif (file_exists(''.$uploadPath.'/'.$fileName.'')) {  
            // Echo Error
            echo '<p class="error">File Already Uploaded</p>';   		
            }
            // Echo Success Page
            echo '<p class="success">Success! Bing Webmasters Updated!</h2>';   
            ?>
         <?php else: ?> 
         <?php endif; ?>
         <?php else: ?> 	 
         <?php endif; ?>  
         <?php if($webmasters['bing_webmasters_active'] == 1): ?>
         <p><img src="<?php echo $GLOBALS['sabalico']; ?>/icons/errors/shield-active.png" alt="Active" class="inline-icon" /><span class="success">Bing Webmasters Active</span></p>
         <?php else: ?>
         <p><img src="<?php echo $GLOBALS['sabalico']; ?>/icons/errors/shield-error.png" alt="Off" class="inline-icon" /><span class="error">Bing Webmasters Off</span></p>
         <?php endif; ?>
         <?php if($_SESSION['admin_permissions_id'] == 1 || $_SESSION['admin_permissions_id'] == 7): ?> 
         <form action="<?php echo domain_url(); ?>/admin/features/bing-webmasters.php" method="post" enctype="multipart/form-data">
            <label>Bing Verify File (XML)</label>
            <label for="file" class="upload-file-button">
            <span>Upload File</span><img src="<?php echo $GLOBALS['sabalico']; ?>/img/buttons/upload.png" alt="Upload File" />  
            </label>
            <input id="file" type="file" name="image" /> 
            <div class="clear"></div>
            <input type="hidden" name="action" value="update-bing" /> 
            <button type="submit" name="submit" class="submit-button">Update Bing</button>
         </form>
         <?php else: ?>
         <?php include ''.$_SERVER['DOCUMENT_ROOT'].'/admin/templates/admin-error.php'; ?>
         <?php endif; ?>  
      </div>
   </div>
</div>
<?php endif; ?>
<?php include ''.$_SERVER['DOCUMENT_ROOT'].'/admin/templates/admin-copyright.php'; ?>
<?php include ''.$_SERVER['DOCUMENT_ROOT'].'/admin/templates/admin-scripts.php'; ?> 
<?php include ''.$_SERVER['DOCUMENT_ROOT'].'/blueprint/templates/html-end.php'; ?>